
TYPO3.TYPO3CR - Task # 1883

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: FLOW3 Persistence
Created: 2008-10-27 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Sprint:
Subject: Store objects as node hierarchy reflecting the object tree?!
Description

Check how this is possible, and how this affects efficiency

Associated revisions
Revision 61aa7621 - 2008-12-05 21:28 - Karsten Dambekalns
FLOW3, TYPO3CR:
    -  Persistence: rewrote the way object trees are stored in the CR, fixes #1883, fixes #1882
TYPO3CR:
    -  Persistence: array keys are now preserved when persisting, fixes #1620
    -  Persistence: fixed error when persisting DateTime properties, fixes #2195
    -  changed the way properties are added to the Lucene index, fixes #1623, refs #1886
    -  fixed storage backend to enable use of namespaced nodetype names
Lucene, TYPO3CR:
    -  moved the KeywordAnalyser here from TYPO3CR

History
#1 - 2008-10-28 12:58 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 1

#2 - 2008-11-21 18:42 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

During the recent work on #1882 it turned out that storing objects being part of an aggregate below the root node for that aggregate probably is the
easiest and safest way to keep the CR clean when objects are removed from (persistence) repositories.

#3 - 2008-11-26 13:28 - Karsten Dambekalns
- Project changed from TYPO3.Flow to TYPO3.TYPO3CR
- Category deleted (Persistence)
- Target version deleted (1.0 alpha 1)

#4 - 2008-11-26 13:31 - Karsten Dambekalns
- Category set to FLOW3 Persistence
- Target version set to 197

#5 - 2008-11-26 15:13 - Karsten Dambekalns
- % Done changed from 0 to 50
Locally working fine so far, dirty detection is still missing.

#6 - 2008-11-26 17:37 - Karsten Dambekalns
- File Nodetree-from-objects.png added

#7 - 2008-12-05 21:30 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 50 to 100

Applied in changeset r1565.

#8 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)

Files
Nodetree-from-objects.png 35 kB 2008-11-26 Karsten Dambekalns
